Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Schema By Version

Get a specific schema version for a subject. Version can be a number or ‘latest’.

GET/schema-registry/subjects/{subject}/versions/{version}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
subjectstringrequired
versionstringrequired
Responses
200

Successful Response

subjectstring | null

Schema subject name

Show properties
Any of:
string
string
null
null
versioninteger | null

Schema version

Show properties
Any of:
integer
integer
null
null
idintegerrequired

Global schema ID

schema_typestring

Schema type (AVRO, JSON, PROTOBUF)

default: "AVRO"
schemastringrequired

Schema definition string

referencesobject[] | null

Schema references

Show properties
Any of:
object[]
Array of object
object
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/schema-registry/subjects/string/versions/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "subject": "string",
  "version": 0,
  "id": 0,
  "schema_type": "AVRO",
  "schema": "string",
  "references": [
    {}
  ]
}